// Dialogs.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CBmapDlg dialog

class CBmapDlg : public CDialog
{
// Construction
public:
	CBmapDlg(CWnd* pParent = NULL);   // standard constructor

// Attributes
protected:
   CDC m_dcMem;            // Compatible Memory DC for dialog
   CBrush m_brush;        // Handle of background brush

   BITMAP m_bmInfo;        // Bitmap Information structure
   CPoint m_pt;            // Position for upper left corner of bitmap
   CSize m_size;        // Size (width and height) of bitmap

   // Dialog Data
	//{{AFX_DATA(CBmapDlg)
	enum { IDD = IDD_DLG1 };
		// NOTE: the ClassWizard will add data members here
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CBmapDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CBmapDlg)
	virtual BOOL OnInitDialog();
	afx_msg BOOL OnEraseBkgnd(CDC* pDC);
	afx_msg HBRUSH OnCtlColor(CDC* pDC, CWnd* pWnd, UINT nCtlColor);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};
/////////////////////////////////////////////////////////////////////////////
// CBmapBrushDlg dialog

class CBmapBrushDlg : public CDialog
{
// Construction
public:
	CBmapBrushDlg(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CBmapBrushDlg)
	enum { IDD = IDD_DLG2 };
		// NOTE: the ClassWizard will add data members here
	//}}AFX_DATA

// Attributes
protected:
   CBrush m_brush;			// Null brush for control blending
   CBrush m_bkBrush;        // Background brush

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CBmapBrushDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CBmapBrushDlg)
	virtual BOOL OnInitDialog();
	afx_msg HBRUSH OnCtlColor(CDC* pDC, CWnd* pWnd, UINT nCtlColor);
	afx_msg BOOL OnEraseBkgnd(CDC* pDC);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};
/////////////////////////////////////////////////////////////////////////////
// CBmapCenterDlg dialog

class CBmapCenterDlg : public CDialog
{
// Construction
public:
	CBmapCenterDlg(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CBmapCenterDlg)
	enum { IDD = IDD_DLG3 };
		// NOTE: the ClassWizard will add data members here
	//}}AFX_DATA

// Attributes
protected:
   CDC m_dcMem;            // Compatible Memory DC for dialog
   
   CBrush m_brush;        // Null brush for control blending
   CBrush m_bkBrush;        // Background brush

   BITMAP m_bmInfo;        // Bitmap Information structure
   CPoint m_pt;            // Position for upper left corner of bitmap
   CSize m_size;        // Size (width and height) of bitmap

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CBmapCenterDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CBmapCenterDlg)
	virtual BOOL OnInitDialog();
	afx_msg BOOL OnEraseBkgnd(CDC* pDC);
	afx_msg HBRUSH OnCtlColor(CDC* pDC, CWnd* pWnd, UINT nCtlColor);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};
